ElementHandler
Date: 2016-07-03

com.icl.saxon.handlers

## Class ElementHandler

- java.lang.Object
- - com.icl.saxon.handlers.ElementHandler

- All Implemented Interfaces:
    NodeHandler
  Direct Known Subclasses:
    ElementHandlerBase

      public abstract class ElementHandler
      extends java.lang.Object
      implements NodeHandler

  ElementHandler is a NodeHandler used to process elements. It is identical to it parent class, NodeHandler, and exists only for type-checking on interfaces.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `needsStackFrame()` Optimization hint to allow a handler to declare that it needs no stack space for local variables and parameters
    `abstract void` | `start(NodeInfo node, Context context)` Define action to be taken at the start of a node. This method must be implemented in a subclass.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementHandler

          public ElementHandler()

  - ### Method Detail

    - #### start

          public abstract void start(NodeInfo node,
                   Context context)
                              throws javax.xml.transform.TransformerException

      Define action to be taken at the start of a node.
      This method must be implemented in a subclass.
      Specified by:
        `start` in interface `NodeHandler`
      Parameters:
        `node` - The NodeInfo object for the current node.
      Throws:
        `SAXException` - Aborts the parse
        `javax.xml.transform.TransformerException`
      See Also:
        `NodeInfo`

    - #### needsStackFrame

          public boolean needsStackFrame()

      Description copied from interface: `NodeHandler`
      Optimization hint to allow a handler to declare that it needs no stack space for local variables and parameters
      Specified by:
        `needsStackFrame` in interface `NodeHandler`